All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] t0051: use "skip_all" under !MINGW in single-test file
@ 2022-02-01 20:35 Ævar Arnfjörð Bjarmason
  2022-02-01 21:48 ` Junio C Hamano
  2022-02-04 13:42 ` [PATCH v2] " Ævar Arnfjörð Bjarmason
  0 siblings, 2 replies; 6+ messages in thread
From: Ævar Arnfjörð Bjarmason @ 2022-02-01 20:35 UTC (permalink / raw)
  To: git
  Cc: Junio C Hamano, Jeff Hostetler, Johannes Schindelin,
	Ævar Arnfjörð Bjarmason

Have this file added in 06ba9d03e34 (t0051: test GIT_TRACE to a
windows named pipe, 2018-09-11) use the same "skip_all" pattern as an
existing Windows-only test added in 0e218f91c29 (mingw: unset PERL5LIB
by default, 2018-10-30) uses.

This way TAP consumers like "prove" will show a nice summary when the
test is skipped, e.g.:

    $ prove t0051-windows-named-pipe.sh
    [...]
    t0051-windows-named-pipe.sh ... skipped: skipping Windows-specific tests
    [...]

Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
---

A trivial UX improvement for the "prove" output, so that we'll show a
notice in the same way as e.g. t0029-core-unsetenvvars.sh and
t5580-unc-paths.sh do (which are both Windows-specific).

 t/t0051-windows-named-pipe.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/t/t0051-windows-named-pipe.sh b/t/t0051-windows-named-pipe.sh
index 10ac92d2250..412f413360d 100755
--- a/t/t0051-windows-named-pipe.sh
+++ b/t/t0051-windows-named-pipe.sh
@@ -3,8 +3,13 @@
 test_description='Windows named pipes'
 
 . ./test-lib.sh
+if ! test_have_prereq MINGW
+then
+	skip_all='skipping Windows-specific tests'
+	test_done
+fi
 
-test_expect_success MINGW 'o_append write to named pipe' '
+test_expect_success 'o_append write to named pipe' '
 	GIT_TRACE="$(pwd)/expect" git status >/dev/null 2>&1 &&
 	{ test-tool windows-named-pipe t0051 >actual 2>&1 & } &&
 	pid=$! &&
-- 
2.35.0.913.g12b4baa2536


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2022-02-08 13:41 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-02-01 20:35 [PATCH] t0051: use "skip_all" under !MINGW in single-test file Ævar Arnfjörð Bjarmason
2022-02-01 21:48 ` Junio C Hamano
2022-02-02 19:44   ` Ævar Arnfjörð Bjarmason
2022-02-02 20:19     ` Junio C Hamano
2022-02-04 13:42 ` [PATCH v2] " Ævar Arnfjörð Bjarmason
2022-02-08 13:40   ` Johannes Schindelin

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.